## enhanceio 0+git20130620

=== debian/changelog ===
enhanceio (0+git20130620-5) experimental; urgency=medium

  [ Philipp Edelmann <edelmann@fs.tum.de> ]
  * New patch for compatibility with Linux 3.18 (Closes: #773188).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 24 Jan 2015 00:37:33 +1100

enhanceio (0+git20130620-4) experimental; urgency=medium

  [ Philipp Edelmann <edelmann@fs.tum.de> ]
  * New patch for compatibility with Linux 3.17 (Closes: #764633).

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Nov 2014 14:54:45 +1100

enhanceio (0+git20130620-3) experimental; urgency=low

  * Updated "make.patch" to build without "-fstack-protector". This fixed
    module load error "Unknown symbol __stack_chk_fail" (Closes: #748529).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 May 2014 20:01:57 +1000

enhanceio (0+git20130620-2) experimental; urgency=low

  * New patch for compatibility with Linux-3.14.
  * New patch to bypass writes in 'ro' mode.
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Apr 2014 19:08:30 +1000

enhanceio (0+git20130620-1) experimental; urgency=low

  * New upstream revision to fix FTBFS with Linux 3.10+ (Closes: #720676).
  * Fixed get-orig-source to checkout proper revision.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Oct 2013 13:37:15 +1000

enhanceio (0+git20130619-1) experimental; urgency=low

  * Initial release (Closes: #702256).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 10 Jul 2013 22:39:39 +1000
