=== debian/control ===
Source: enhanceio
Section: kernel
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dkms, python
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: https://github.com/stec-inc/EnhanceIO
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/enhanceio.git
Vcs-Git: git://anonscm.debian.org/collab-maint/enhanceio.git

Package: enhanceio
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
        ,enhanceio-dkms (= ${source:Version})
        ,kmod
Recommends: udev
Suggests: fio
Section: utils
Description: dynamic block device cache for Linux (user space utility)
 EnhanceIO is a dynamic block level cache to improve performance of
 rotating hard disk drives by using SSDs as cache devices.
 .
 EnhanceIO derived from Flashcache project but it does not use device
 mapper and can create and delete caches while a source volume is being
 used (i.e. mounted).
 .
 EnhanceIO supports three caching modes: read-only, write-through, and
 write-back and three cache replacement policies: random, FIFO, and LRU.
 .
 This package provides user space utility `eio_cli` required to manage
 caches through command line interface to corresponding kernel module.

Package: enhanceio-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: enhanceio (= ${source:Version})
# the following packages provide required "stdarg.h":
 ,libgcc-4.7-dev | libgcc-4.8-dev
Description: dynamic block device cache for Linux (DKMS version)
 EnhanceIO is a dynamic block level cache to improve performance of
 rotating hard disk drives by using SSDs as cache devices.
 .
 EnhanceIO derived from Flashcache project but it does not use device
 mapper and can create and delete caches while a source volume is being
 used (i.e. mounted).
 .
 EnhanceIO supports three caching modes: read-only, write-through, and
 write-back and three cache replacement policies: random, FIFO, and LRU.
 .
 This package provides DKMS kernel module for Linux Kernel 3.7+.
