=== debian/watch ===
# uscan(1) configuration file.
version=3

## Upstream do not tag releases yet.
## To generate orig.tar please use "debian/rules get-orig-source".

opts=\
dversionmangle=s/\+git(\d+)/$1/,\
 https://github.com/stec-inc/EnhanceIO/tags .*/archive/v?(\d[-\d\.]+)\.tar\.gz
