## enhanceio 0+git20190417.5815670

=== debian/changelog ===
enhanceio (0+git20190417.5815670-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support.  (Closes: #968019)
  * Switch to dh-sequence-dkms.
  * Enable Testsuite: autopkgtest-pkg-dkms.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Mar 2025 21:40:45 +0100

enhanceio (0+git20190417.5815670-1) experimental; urgency=medium

  * New upstream snapshot.
    + fixed compilation with kernel 4.4+ (Closes: #815643).
  * New upstream.
  * VCS URLs to Salsa.
  * control: "Rules-Requires-Root: no".
  * Standards-Version: 4.5.0.
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jan 2020 22:26:03 +1100
