=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: kernel
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dkms, python
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
-Homepage: https://github.com/stec-inc/EnhanceIO
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/enhanceio.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/enhanceio.git
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-dkms,
+Standards-Version: 4.5.0
+Homepage: https://github.com/lanconnected/EnhanceIO
+Vcs-Browser: https://salsa.debian.org/debian/enhanceio
+Vcs-Git: https://salsa.debian.org/debian/enhanceio.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: enhanceio
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
         ,enhanceio-dkms (= ${source:Version})
         ,kmod
 Recommends: udev
@@ -35,8 +38,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: enhanceio (= ${source:Version})
-# the following packages provide required "stdarg.h":
- ,libgcc-4.7-dev | libgcc-4.8-dev
 Description: dynamic block device cache for Linux (DKMS version)
  EnhanceIO is a dynamic block level cache to improve performance of
  rotating hard disk drives by using SSDs as cache devices.
