=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
##export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_after_dh_install:
	dh_install --package=$(DEB_SOURCE)-dkms Driver/enhanceio/* /usr/src/enhanceio-$(DEB_VERSION_UPSTREAM)
